import { AfterViewInit, OnDestroy } from '@angular/core';
import { LocaleService } from '../../services/locale/locale.service';
import { Subscription } from 'rxjs';
export declare class PhoneListComponent implements AfterViewInit, OnDestroy {
    private localeService;
    constructor(localeService: LocaleService);
    extension: string;
    options: any[];
    phone: string;
    locality: string;
    localityChangeSubscription: Subscription;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    initLocality(): void;
    setLocality(locality: string): void;
}
